summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtests.sh9
-rw-r--r--tests/test_0127.out1
2 files changed, 9 insertions, 1 deletions
diff --git a/tests.sh b/tests.sh
index 444112d..06d319f 100755
--- a/tests.sh
+++ b/tests.sh
@@ -780,9 +780,16 @@ function test_0126() {
bfs_diff basic/g -depth -print -name h -quit
}
+function test_0127() {
+ [ "$BSD" -o "$GNU" ] || return 0
+
+ local inode="$(ls -id basic/k/foo/bar | cut -f1 -d' ')"
+ bfs_diff basic -inum "$inode"
+}
+
result=0
-for i in {1..126}; do
+for i in {1..127}; do
test="test_$(printf '%04d' $i)"
if [ -t 1 ]; then
diff --git a/tests/test_0127.out b/tests/test_0127.out
new file mode 100644
index 0000000..ebcaf79
--- /dev/null
+++ b/tests/test_0127.out
@@ -0,0 +1 @@
+basic/k/foo/bar